<template>
  <div>
    <h2>Создание оборудования</h2>
    <b-form @submit="create">
      <b-form-group label="Наименование:">
        <b-form-input v-model="form.title" required placeholder="Наименование" />
      </b-form-group>
      <b-form-group label="Цена:">
        <b-form-input v-model="form.price" type="number" number no-wheel required />
      </b-form-group>
      <b-form-group label="Первоначальный взнос:">
        <b-form-input v-model="form.initial_fee" type="number" number no-wheel required />
      </b-form-group>
      <b-form-group label="Доступен:">
        <b-form-checkbox v-model="form.is_available">Доступен</b-form-checkbox>
      </b-form-group>
      <b-button type="submit" variant="primary">
        Создать
      </b-button>
    </b-form>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL } }) {
    return { baseURL }
  },
  data () {
    return {
      form: {
        title: '',
        price: null,
        initial_fee: null,
        is_available: true,
        data: {}
      }
    }
  },
  head () {
    return {
      title: 'Создание оборудования'
    }
  },
  methods: {
    async create (e) {
      e.preventDefault()
      console.log(this.form)
      const response = await axios.post(`${this.baseURL}/equipment`, this.form)
      if (response.status === 201) {
        this.$router.push({ path: `/equipment/${response.data._id}` })
      }
    }
  }
}
</script>

<style scoped>

</style>
